# Uses of Interface
org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider.IMergeViewerItemContentProvider

Packages that use IMergeViewerItemContentProvider
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

## Uses of IMergeViewerItemContentProvider in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider

Classes in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider that implement IMergeViewerItemContentProvider
Modifier and Type
Class
Description
`class`
`TreeMergeViewerItemContentProvider`
ContentProvider for `IMergeViewerItem`s which uses their 'left', 'right' and 'ancestor' sides in combination with the given `AdapterFactory` to create the children and parent `IMergeViewerItem`s.
Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider that return IMergeViewerItemContentProvider
Modifier and Type
Method
Description
`protected IMergeViewerItemContentProvider`
DelegatingTreeMergeViewerItemContentProvider.`getContentProvider(Object object)`
Determines the `IMergeViewerItemContentProvider` for the given `Object`.

## Uses of IMergeViewerItemContentProvider in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization

Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization that return IMergeViewerItemContentProvider
Modifier and Type
Method
Description
`IMergeViewerItemContentProvider`
ContentMergeViewerCustomizationRegistry.`getBestFittingMergeViewerItemContentProvider(Comparison comparison, Object object)`
Returns the best fitting `IMergeViewerItemContentProvider`.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization with type arguments of type IMergeViewerItemContentProvider
Modifier and Type
Method
Description
`void`
ContentMergeViewerCustomizationRegistry.`addTreeCustomization(String className, ContentMergeViewerCustomizationDescriptor<IMergeViewerItemContentProvider> descriptor)`
Adds the given `ContentMergeViewerCustomizationDescriptor` to this registry, using the given `className` as the identifier.

## Uses of IMergeViewerItemContentProvider in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl that implement IMergeViewerItemContentProvider
Modifier and Type
Class
Description
`class`
`ResourceAttachmentChangeProvider`
Legacy Provider to keep backward compatibility with `ResourceAttachmentChangeMergeViewerItem`.